{
    attributes = (
        {
            columnName = "C_CATEGORIE_EMPLOI"; 
            externalType = VARCHAR2; 
            name = cCategorieEmploi; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 7; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_CATEGORIE_EMPLOI"; 
            externalType = VARCHAR2; 
            name = lcCategorieEmploi; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_CATEGORIE_EMPLOI"; 
            externalType = VARCHAR2; 
            name = llCategorieEmploi; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }, 
        {
            columnName = "TEM_BUDGET_PROPRE"; 
            externalType = VARCHAR2; 
            name = temBudgetPropre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cCategorieEmploi, lcCategorieEmploi, llCategorieEmploi, temBudgetPropre); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOCategorieEmploi"; 
    classProperties = (
        cCategorieEmploi, 
        lcCategorieEmploi, 
        llCategorieEmploi, 
        dCreation, 
        dModification
    ); 
    externalName = "GRHUM.CATEGORIE_EMPLOI"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cCategorieEmploi, lcCategorieEmploi, llCategorieEmploi); 
    }; 
    name = CategorieEmploi; 
    primaryKeyAttributes = (cCategorieEmploi); 
}
